This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 418811 - USB ports not working after upgrading to F-8
USB ports not working after upgrading to F-8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 15:59 EST by Christopher Stone
Modified: 2008-05-23 17:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-23 17:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-12-10 15:59:35 EST
Description of problem:
Hi, I upgraded from F-7 to F-8 last night, and one of the problems I encountered
in the upgrade was the fact that six of my ten USB ports are no longer working.
 Only the usb ports located on the back of my machine are still working.  My
monitor which plugs into one of these ports in the back contains four extra USB
ports which stopped working after the F-8 upgrade.  I also have two USB ports on
the front of the PC which are connect to a different pin set on the motherboard.
 I tested these, and these also seem to be broken with F-8.  AFAIK, these ports
also worked fine in F-7.

Version-Release number of selected component (if applicable):
kernel-2.6.23.8-63.fc8

How reproducible:
# dmesg|grep -i usb
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
ehci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 2
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
USB Universal Host Controller Interface driver v3.0
usb 2-2: new full speed USB device using ohci_hcd and address 2
usb 2-2: device descriptor read/64, error -62
usb 2-2: device descriptor read/64, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 3
usb 2-2: device descriptor read/64, error -62
usb 2-2: device descriptor read/64, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 4
usb 2-2: device not accepting address 4, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 5
usb 2-2: device not accepting address 5, error -62
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
usb 2-2: new full speed USB device using ohci_hcd and address 6
usb 2-2: device descriptor read/64, error -62
usb 2-2: device descriptor read/64, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 7
usb 2-2: device descriptor read/64, error -62
usb 2-2: device descriptor read/64, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 8
usb 2-2: device not accepting address 8, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 9
usb 2-2: device not accepting address 9, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 10
usb 2-2: device descriptor read/64, error -62
usb 2-2: device descriptor read/64, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 11
usb 2-2: device descriptor read/64, error -62
usb 2-2: device descriptor read/64, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 12
usb 2-2: device not accepting address 12, error -62
usb 2-2: new full speed USB device using ohci_hcd and address 13
usb 2-2: device not accepting address 13, error -62
usb 2-3: new full speed USB device using ohci_hcd and address 14
usb 2-3: configuration #1 chosen from 1 choice
input: Logitech USB Receiver as /class/input/input6
input: USB HID v1.11 Mouse [Logitech USB Receiver] on usb-0000:00:02.0-3
input: Logitech USB Receiver as /class/input/input7
input,hiddev96: USB HID v1.11 Device [Logitech USB Receiver] on usb-0000:00:02.0-3
Comment 1 Chuck Ebbert 2007-12-10 16:56:18 EST
Try installing the kernel-debug package to get more verbose USB error messages.
Comment 2 Christopher Stone 2007-12-10 17:16:02 EST
Installing and booting into the debug kernel provided no additional information
as far as I can see.  I checked dmesg and /var/log/messages and saw no
additional information.
Comment 3 Pete Zaitcev 2007-12-10 19:51:47 EST
Actually, -62 is all we want to know. I suspect a level 1 hub circuit on the
bus #2 gave up the ghost. You'd think it improbable, but a month ago a drive
died on me while installer was booting. Notice that input directly into the
root hub works (bus 2 port 3), so the controller itself is ok. I wonder if
the level 1 hub is attached to the case instead of the motherboard...

The best way to know the truth is to use a LiveCD with F7, or maybe throw
an F7 kernel into /boot and boot into single-user with it. It's not formally
supported, but F7 and F8 use compatible udev setups, IIRC, so it should work
for one test.
Comment 4 Christopher Stone 2007-12-11 22:57:41 EST
I tried booting a live F7 dvd and booting into a F7 kernel and both times I get
the -62 error :(
Comment 5 Christopher Stone 2007-12-13 18:08:27 EST
I'm downloading Debian and BSD live CDs to test with, I'll let you know how
those fair.
Comment 6 Pete Zaitcev 2007-12-13 18:25:21 EST
Christopher, you still don't believe me, I see. But you wrote in the original
report that F-7 worked and now it does not work. Obviously something has died.
Seriously, look inside the case. Maybe just the header came off its pins.
Comment 7 Christopher Stone 2008-02-07 15:49:24 EST
Hi, I never got around to testing BSD, however kernel 2.6.23.14-107.fc8 seems to
fix the USB port problem I was having.
Comment 8 Christopher Stone 2008-02-25 16:10:26 EST
ugh, I did another reboot today and now the ports are on the fritz again.  I
tried OliveBSD but that didn't even boot.  When I tried debian it also gives an
error, but isses an error code of -110 instead of -62 (IIRC).

I'm going to take my monitor back to the store where I bought it from and have
them take a look at it.  They should be able to determine if there is something
wrong with the monitor's usb ports.
Comment 9 Christopher Stone 2008-05-15 01:05:53 EDT
My usb ports are working again after an upgrade to F9.
Comment 10 Christopher Stone 2008-05-23 17:53:56 EDT
Working in F-9, closing bug.

Note You need to log in before you can comment on or make changes to this bug.